Subject: [RFC PATCH v4 0/2] rework of usbgecko-based early debug

From: Albert Herranz <[email-masked]>
Date: Thu, 3 Dec 2009 21:34:58 +0100

This is v4 of the "early debugging using usbgecko" patch.

It tries to implement the ideas suggested by Benjamin Herrenschmidt
regarding the use of a set of fixmap entries to provide safe
virtual address space for an early mapping.

Albert Herranz (2):
  powerpc: reserve fixmap entries for early debug
  powerpc: gamecube/wii: early debugging using usbgecko

 arch/powerpc/Kconfig.debug                         |    8 +++
 arch/powerpc/include/asm/fixmap.h                  |    3 +
 arch/powerpc/include/asm/udbg.h                    |    1 +
 arch/powerpc/kernel/head_32.S                      |   25 +++++++++
 arch/powerpc/kernel/udbg.c                         |    2 +
 arch/powerpc/platforms/embedded6xx/usbgecko_udbg.c |   56 ++++++++++++++++++++
 arch/powerpc/platforms/embedded6xx/usbgecko_udbg.h |    2 +
 7 files changed, 97 insertions(+), 0 deletions(-)